## Function template dump

boost::log::dump — Creates a stream manipulator that will output contents of a memory region in hexadecimal form.

## Synopsis

    // In header: <boost/log/utility/manipulators/dump.hpp>

    template<typename T>
      unspecified dump(T * data, std::size_t size, std::size_t max_size);

## Description

Parameters:

`data` | The pointer to the beginning of the region
`max_size` | The maximum number of bytes of the region to output
`size` | The size of the region, in bytes

Returns: | The manipulator that is to be put to a stream